<?php get_header(); ?>
<div id="container">
	<div id="main">
		<div class="strong" style="margin-left:30px;"><?php _e('Keyword: '); ?><span class="keyword"><?php the_search_query(); ?></span></div>
    	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div class="post" id="post-<?php the_ID(); ?>">
				<div class="title">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title<?php _e('Permalink to: '); ?><?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<div class="postmeta">
						<?php _e('Category'); ?>:&nbsp;<span class="category"><?php the_category(', ') ?></span>&nbsp;/
						<?php
							$tag = get_the_tags();
							if(!$tag){
								echo __('Tags: no tag /');
							}
							else{
						?>
						<?php _e('Tag'); ?>:&nbsp;<?php the_tags('<span>',',&nbsp;','</span>'); ?>&nbsp;/
						<?php } ?>
						<span class="comments"><?php comments_popup_link(__('Add Comment'), __('1 comment'), __('% comments')); ?></span>
						<?php edit_post_link(__('Edit'), ' / ', ''); ?>
					</div><!-- end postmeta -->
				</div><!-- end title -->
				<div class="clear"></div>
			</div><!-- end post -->
		<?php endwhile; ?>
			
    	<div class="navigation">
    		<div class="left"><?php next_posts_link(__('&laquo; Previous Entries')); ?></div>
    		<div class="right"><?php previous_posts_link(__('Next Entries &raquo;')); ?></div>
    		<div class="clear"></div>
    	</div><!-- end navigation -->
    	
	    <?php else : ?>
	    	<div class="post">
				<div class="title">
					<h2><?php _e('Sorry, nothing found!'); ?></h2>
				</div>
				<div class="clear"></div>
				<div class="entry no_result">
					<p class="no_result"><?php _e('Please use the search function, or visit the archives page.'); ?></p>
				</div>
			</div><!-- end post -->
		<?php endif; ?>
	</div><!-- end main -->
<?php get_sidebar(); ?>
<div class="clear"></div>
</div><!-- end container -->
<?php get_footer(); ?>